org.apache.felix.ipojo.dependency.interceptors

## Class DefaultDependencyInterceptor

- java.lang.Object
- - org.apache.felix.ipojo.dependency.interceptors.DefaultDependencyInterceptor

All Implemented Interfaces:
  DependencyInterceptor

Direct Known Subclasses:
  DefaultServiceRankingInterceptor, DefaultServiceTrackingInterceptor

    public class DefaultDependencyInterceptor
    extends java.lang.Object
    implements DependencyInterceptor

A default implementation of the dependency interceptor. It manages the dependency list guarded by the monitor lock.

### Field Summary

Fields
`protected java.util.Set<DependencyModel>` `dependencies` The set of managed dependencies.

### Fields inherited from interface org.apache.felix.ipojo.dependency.interceptors.DependencyInterceptor

`TARGET_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`DefaultDependencyInterceptor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close(DependencyModel dependency)` Closes the interception of the given dependency.
`void` `open(DependencyModel dependency)` Opens the interception of the given dependency.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dependencies

    protected final java.util.Set<DependencyModel> dependencies

The set of managed dependencies. Access must be guarded by the monitor lock.

### Constructor Detail

#### DefaultDependencyInterceptor

    public DefaultDependencyInterceptor()

### Method Detail

#### close

    public void close(DependencyModel dependency)

Closes the interception of the given dependency.

Specified by:
  `close` in interface `DependencyInterceptor`
Parameters:
  `dependency` - the dependency stopping its use of the interceptor

#### open

    public void open(DependencyModel dependency)

Opens the interception of the given dependency.

Specified by:
  `open` in interface `DependencyInterceptor`
Parameters:
  `dependency` - the dependency starting using the interceptor.